# Billing Templates

Billing Templates

 - [GET /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/listbillingtemplates.md): This method will scan all billing templates and and return them to the caller.
 - [POST /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/createbillingtemplate.md): This method will auto-generate an ID and create a new billing template. If an ID is specified for the billing template, an error will be thrown.
 - [POST /billingTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /billingTemplates/{tenantId}/fromTemplate/{templateId}/{referenceDate}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/generatebillingrunfromtemplate.md)
 - [DELETE /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/deletebillingtemplate.md): This method will delete a billing template with the specified ID.
 - [GET /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/getbillingtemplate.md): This method will look up a billing template by the specified ID and return it back.
 - [PATCH /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/patchbillingtemplate.md): This method will patch an existing billing template with the specified ID, using the HTTP PATCH specification.
 - [PUT /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/updatebillingtemplate.md): This method will update an existing billing template with the specified ID.
